# eric6.Preferences.ConfigurationPages.HelpAppearancePage

Module implementing the Help Viewers configuration page.

### Global Attributes

None

### Classes

HelpAppearancePage | Class implementing the Help Viewer Appearance page.

### Functions

create | Module function to create the configuration page.

## HelpAppearancePage

Class implementing the Help Viewer Appearance page.

### Derived from

ConfigurationPageBase, Ui_HelpAppearancePage

### Class Attributes

None

### Class Methods

None

### Methods

HelpAppearancePage | Constructor
on_fixedFontButton_clicked | Private method used to select the fixed-width font.
on_standardFontButton_clicked | Private method used to select the standard font.
save | Public slot to save the Help Viewers configuration.
setMode | Public method to perform mode dependent setups.

### Static Methods

None

#### HelpAppearancePage (Constructor)

HelpAppearancePage()

Constructor

#### HelpAppearancePage.on_fixedFontButton_clicked

on_fixedFontButton_clicked()

Private method used to select the fixed-width font.

#### HelpAppearancePage.on_standardFontButton_clicked

on_standardFontButton_clicked()

Private method used to select the standard font.

#### HelpAppearancePage.save

save()

Public slot to save the Help Viewers configuration.

#### HelpAppearancePage.setMode

setMode(displayMode)

Public method to perform mode dependent setups.

displayMode
  mode of the configuration dialog (ConfigurationWidget.DefaultMode, ConfigurationWidget.HelpBrowserMode, ConfigurationWidget.TrayStarterMode)

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up